BurkeRatio {PerformanceAnalytics} | R Documentation

## Burke ratio of the return distribution

### Description

To calculate Burke ratio we take the difference between the portfolio return and the risk free rate and we divide it by the square root of the sum of the square of the drawdowns. To calculate the modified Burke ratio we just multiply the Burke ratio by the square root of the number of datas.

### Usage

    BurkeRatio(R, Rf = 0, modified = FALSE, ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rf` | the risk free rate
`modified` | a boolean to decide which ratio to calculate between Burke ratio and modified Burke ratio.
`...` | any other passthru parameters

### Details

Burke Ratio = (Rp - Rf) / (sqrt(sum(t=1..n)(Dt^2)))

Modified Burke Ratio = (Rp - Rf) / (sqrt(sum(t=1..n)(Dt^2 / n)))

where n is the number of observations of the entire series, d is number of drawdowns, r_P is the portfolio return, r_F is the risk free rate and D_t the t^{th} drawdown.

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.90-91

### Examples

    data(portfolio_bacon)
    print(BurkeRatio(portfolio_bacon[,1])) #expected 0.74
    print(BurkeRatio(portfolio_bacon[,1], modified = TRUE)) #expected 3.65

    data(managers)
    print(BurkeRatio(managers['1996']))
    print(BurkeRatio(managers['1996',1]))
    print(BurkeRatio(managers['1996'], modified = TRUE))
    print(BurkeRatio(managers['1996',1], modified = TRUE))

[Package PerformanceAnalytics version 1.5.3 Index]